package com.dbs.consentServer.mapper;

import java.util.ArrayList;
import java.util.HashMap;

import com.dbs.consentServer.VO.consentVO.ConsentFormListVO;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

@Repository
@Mapper
public interface ConsentMapper {
  public ArrayList<ConsentFormListVO> getUserFormSet(HashMap<String, String> params);
  public ArrayList<ConsentFormListVO> getConsentBySearch(HashMap<String, String> params);
  public ArrayList<ConsentFormListVO> getConsentList(HashMap<String, Object> params);
  public Integer updateConsentMstForDelete(HashMap<String, Object> params);
  public String getConsentMstForDeleteOcrTag(HashMap<String, Object> params);
  public int updateMrfhOcrPrntStatCd(HashMap<String, Object> params);
}
